OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.FragmentProgram

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBFragmentProgram :: MonadIO m => m Bool
- gl_ARB_fragment_program :: Bool
- gl_CURRENT_MATRIX_ARB :: GLenum
- gl_CURRENT_MATRIX_STACK_DEPTH_ARB :: GLenum
- gl_FRAGMENT_PROGRAM_ARB :: GLenum
- gl_MATRIX0_ARB :: GLenum
- gl_MATRIX10_ARB :: GLenum
- gl_MATRIX11_ARB :: GLenum
- gl_MATRIX12_ARB :: GLenum
- gl_MATRIX13_ARB :: GLenum
- gl_MATRIX14_ARB :: GLenum
- gl_MATRIX15_ARB :: GLenum
- gl_MATRIX16_ARB :: GLenum
- gl_MATRIX17_ARB :: GLenum
- gl_MATRIX18_ARB :: GLenum
- gl_MATRIX19_ARB :: GLenum
- gl_MATRIX1_ARB :: GLenum
- gl_MATRIX20_ARB :: GLenum
- gl_MATRIX21_ARB :: GLenum
- gl_MATRIX22_ARB :: GLenum
- gl_MATRIX23_ARB :: GLenum
- gl_MATRIX24_ARB :: GLenum
- gl_MATRIX25_ARB :: GLenum
- gl_MATRIX26_ARB :: GLenum
- gl_MATRIX27_ARB :: GLenum
- gl_MATRIX28_ARB :: GLenum
- gl_MATRIX29_ARB :: GLenum
- gl_MATRIX2_ARB :: GLenum
- gl_MATRIX30_ARB :: GLenum
- gl_MATRIX31_ARB :: GLenum
- gl_MATRIX3_ARB :: GLenum
- gl_MATRIX4_ARB :: GLenum
- gl_MATRIX5_ARB :: GLenum
- gl_MATRIX6_ARB :: GLenum
- gl_MATRIX7_ARB :: GLenum
- gl_MATRIX8_ARB :: GLenum
- gl_MATRIX9_ARB :: GLenum
- gl_MAX_PROGRAM_ALU_INSTRUCTIONS_ARB :: GLenum
- gl_MAX_PROGRAM_ATTRIBS_ARB :: GLenum
- gl_MAX_PROGRAM_ENV_PARAMETERS_ARB :: GLenum
- gl_MAX_PROGRAM_INSTRUCTIONS_ARB :: GLenum
- gl_MAX_PROGRAM_LOCAL_PARAMETERS_ARB :: GLenum
- gl_MAX_PROGRAM_MATRICES_ARB :: GLenum
- gl_MAX_PROGRAM_MATRIX_STACK_DEPTH_ARB :: GLenum
- gl_MAX_PROGRAM_NATIVE_ALU_INSTRUCTIONS_ARB :: GLenum
- gl_MAX_PROGRAM_NATIVE_ATTRIBS_ARB :: GLenum
- gl_MAX_PROGRAM_NATIVE_INSTRUCTIONS_ARB :: GLenum
- gl_MAX_PROGRAM_NATIVE_PARAMETERS_ARB :: GLenum
- gl_MAX_PROGRAM_NATIVE_TEMPORARIES_ARB :: GLenum
- gl_MAX_PROGRAM_NATIVE_TEX_INDIRECTIONS_ARB :: GLenum
- gl_MAX_PROGRAM_NATIVE_TEX_INSTRUCTIONS_ARB :: GLenum
- gl_MAX_PROGRAM_PARAMETERS_ARB :: GLenum
- gl_MAX_PROGRAM_TEMPORARIES_ARB :: GLenum
- gl_MAX_PROGRAM_TEX_INDIRECTIONS_ARB :: GLenum
- gl_MAX_PROGRAM_TEX_INSTRUCTIONS_ARB :: GLenum
- gl_MAX_TEXTURE_COORDS_ARB :: GLenum
- gl_MAX_TEXTURE_IMAGE_UNITS_ARB :: GLenum
- gl_PROGRAM_ALU_INSTRUCTIONS_ARB :: GLenum
- gl_PROGRAM_ATTRIBS_ARB :: GLenum
- gl_PROGRAM_BINDING_ARB :: GLenum
- gl_PROGRAM_ERROR_POSITION_ARB :: GLenum
- gl_PROGRAM_ERROR_STRING_ARB :: GLenum
- gl_PROGRAM_FORMAT_ARB :: GLenum
- gl_PROGRAM_FORMAT_ASCII_ARB :: GLenum
- gl_PROGRAM_INSTRUCTIONS_ARB :: GLenum
- gl_PROGRAM_LENGTH_ARB :: GLenum
- gl_PROGRAM_NATIVE_ALU_INSTRUCTIONS_ARB :: GLenum
- gl_PROGRAM_NATIVE_ATTRIBS_ARB :: GLenum
- gl_PROGRAM_NATIVE_INSTRUCTIONS_ARB :: GLenum
- gl_PROGRAM_NATIVE_PARAMETERS_ARB :: GLenum
- gl_PROGRAM_NATIVE_TEMPORARIES_ARB :: GLenum
- gl_PROGRAM_NATIVE_TEX_INDIRECTIONS_ARB :: GLenum
- gl_PROGRAM_NATIVE_TEX_INSTRUCTIONS_ARB :: GLenum
- gl_PROGRAM_PARAMETERS_ARB :: GLenum
- gl_PROGRAM_STRING_ARB :: GLenum
- gl_PROGRAM_TEMPORARIES_ARB :: GLenum
- gl_PROGRAM_TEX_INDIRECTIONS_ARB :: GLenum
- gl_PROGRAM_TEX_INSTRUCTIONS_ARB :: GLenum
- gl_PROGRAM_UNDER_NATIVE_LIMITS_ARB :: GLenum
- gl_TRANSPOSE_CURRENT_MATRIX_ARB :: GLenum
- glBindProgramARB :: MonadIO m => GLenum -> GLuint -> m ()
- glDeleteProgramsARB :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGenProgramsARB :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGetProgramEnvParameterdvARB :: MonadIO m => GLenum -> GLuint -> Ptr GLdouble -> m ()
- glGetProgramEnvParameterfvARB :: MonadIO m => GLenum -> GLuint -> Ptr GLfloat -> m ()
- glGetProgramLocalParameterdvARB :: MonadIO m => GLenum -> GLuint -> Ptr GLdouble -> m ()
- glGetProgramLocalParameterfvARB :: MonadIO m => GLenum -> GLuint -> Ptr GLfloat -> m ()
- glGetProgramStringARB :: MonadIO m => GLenum -> GLenum -> Ptr a -> m ()
- glGetProgramivARB :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glIsProgramARB :: MonadIO m => GLuint -> m GLboolean
- glProgramEnvParameter4dARB :: MonadIO m => GLenum -> GLuint -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glProgramEnvParameter4dvARB :: MonadIO m => GLenum -> GLuint -> Ptr GLdouble -> m ()
- glProgramEnvParameter4fARB :: MonadIO m => GLenum -> GLuint -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glProgramEnvParameter4fvARB :: MonadIO m => GLenum -> GLuint -> Ptr GLfloat -> m ()
- glProgramLocalParameter4dARB :: MonadIO m => GLenum -> GLuint -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glProgramLocalParameter4dvARB :: MonadIO m => GLenum -> GLuint -> Ptr GLdouble -> m ()
- glProgramLocalParameter4fARB :: MonadIO m => GLenum -> GLuint -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glProgramLocalParameter4fvARB :: MonadIO m => GLenum -> GLuint -> Ptr GLfloat -> m ()
- glProgramStringARB :: MonadIO m => GLenum -> GLenum -> GLsizei -> Ptr a -> m ()

# Extension Support

glGetARBFragmentProgram :: MonadIO m => m Bool

Is the ARB_fragment_program extension supported?

gl_ARB_fragment_program :: Bool

Is the ARB_fragment_program extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBFragmentProgram` in those cases instead.

# Enums

gl_CURRENT_MATRIX_ARB :: GLenum

gl_CURRENT_MATRIX_STACK_DEPTH_ARB :: GLenum

gl_FRAGMENT_PROGRAM_ARB :: GLenum

gl_MATRIX0_ARB :: GLenum

gl_MATRIX10_ARB :: GLenum

gl_MATRIX11_ARB :: GLenum

gl_MATRIX12_ARB :: GLenum

gl_MATRIX13_ARB :: GLenum

gl_MATRIX14_ARB :: GLenum

gl_MATRIX15_ARB :: GLenum

gl_MATRIX16_ARB :: GLenum

gl_MATRIX17_ARB :: GLenum

gl_MATRIX18_ARB :: GLenum

gl_MATRIX19_ARB :: GLenum

gl_MATRIX1_ARB :: GLenum

gl_MATRIX20_ARB :: GLenum

gl_MATRIX21_ARB :: GLenum

gl_MATRIX22_ARB :: GLenum

gl_MATRIX23_ARB :: GLenum

gl_MATRIX24_ARB :: GLenum

gl_MATRIX25_ARB :: GLenum

gl_MATRIX26_ARB :: GLenum

gl_MATRIX27_ARB :: GLenum

gl_MATRIX28_ARB :: GLenum

gl_MATRIX29_ARB :: GLenum

gl_MATRIX2_ARB :: GLenum

gl_MATRIX30_ARB :: GLenum

gl_MATRIX31_ARB :: GLenum

gl_MATRIX3_ARB :: GLenum

gl_MATRIX4_ARB :: GLenum

gl_MATRIX5_ARB :: GLenum

gl_MATRIX6_ARB :: GLenum

gl_MATRIX7_ARB :: GLenum

gl_MATRIX8_ARB :: GLenum

gl_MATRIX9_ARB :: GLenum

gl_MAX_PROGRAM_ALU_INSTRUCTIONS_ARB :: GLenum

gl_MAX_PROGRAM_ATTRIBS_ARB :: GLenum

gl_MAX_PROGRAM_ENV_PARAMETERS_ARB :: GLenum

gl_MAX_PROGRAM_INSTRUCTIONS_ARB :: GLenum

gl_MAX_PROGRAM_LOCAL_PARAMETERS_ARB :: GLenum

gl_MAX_PROGRAM_MATRICES_ARB :: GLenum

gl_MAX_PROGRAM_MATRIX_STACK_DEPTH_ARB :: GLenum

gl_MAX_PROGRAM_NATIVE_ALU_INSTRUCTIONS_ARB :: GLenum

gl_MAX_PROGRAM_NATIVE_ATTRIBS_ARB :: GLenum

gl_MAX_PROGRAM_NATIVE_INSTRUCTIONS_ARB :: GLenum

gl_MAX_PROGRAM_NATIVE_PARAMETERS_ARB :: GLenum

gl_MAX_PROGRAM_NATIVE_TEMPORARIES_ARB :: GLenum

gl_MAX_PROGRAM_NATIVE_TEX_INDIRECTIONS_ARB :: GLenum

gl_MAX_PROGRAM_NATIVE_TEX_INSTRUCTIONS_ARB :: GLenum

gl_MAX_PROGRAM_PARAMETERS_ARB :: GLenum

gl_MAX_PROGRAM_TEMPORARIES_ARB :: GLenum

gl_MAX_PROGRAM_TEX_INDIRECTIONS_ARB :: GLenum

gl_MAX_PROGRAM_TEX_INSTRUCTIONS_ARB :: GLenum

gl_MAX_TEXTURE_COORDS_ARB :: GLenum

gl_MAX_TEXTURE_IMAGE_UNITS_ARB :: GLenum

gl_PROGRAM_ALU_INSTRUCTIONS_ARB :: GLenum

gl_PROGRAM_ATTRIBS_ARB :: GLenum

gl_PROGRAM_BINDING_ARB :: GLenum

gl_PROGRAM_ERROR_POSITION_ARB :: GLenum

gl_PROGRAM_ERROR_STRING_ARB :: GLenum

gl_PROGRAM_FORMAT_ARB :: GLenum

gl_PROGRAM_FORMAT_ASCII_ARB :: GLenum

gl_PROGRAM_INSTRUCTIONS_ARB :: GLenum

gl_PROGRAM_LENGTH_ARB :: GLenum

gl_PROGRAM_NATIVE_ALU_INSTRUCTIONS_ARB :: GLenum

gl_PROGRAM_NATIVE_ATTRIBS_ARB :: GLenum

gl_PROGRAM_NATIVE_INSTRUCTIONS_ARB :: GLenum

gl_PROGRAM_NATIVE_PARAMETERS_ARB :: GLenum

gl_PROGRAM_NATIVE_TEMPORARIES_ARB :: GLenum

gl_PROGRAM_NATIVE_TEX_INDIRECTIONS_ARB :: GLenum

gl_PROGRAM_NATIVE_TEX_INSTRUCTIONS_ARB :: GLenum

gl_PROGRAM_PARAMETERS_ARB :: GLenum

gl_PROGRAM_STRING_ARB :: GLenum

gl_PROGRAM_TEMPORARIES_ARB :: GLenum

gl_PROGRAM_TEX_INDIRECTIONS_ARB :: GLenum

gl_PROGRAM_TEX_INSTRUCTIONS_ARB :: GLenum

gl_PROGRAM_UNDER_NATIVE_LIMITS_ARB :: GLenum

gl_TRANSPOSE_CURRENT_MATRIX_ARB :: GLenum

# Functions

glBindProgramARB

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ProgramTargetARB`.
-> GLuint | `program`.
-> m () |

glDeleteProgramsARB

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `programs` pointing to `n` elements of type `GLuint`.
-> m () |

glGenProgramsARB

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `programs` pointing to `n` elements of type `GLuint`.
-> m () |

glGetProgramEnvParameterdvARB

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ProgramTargetARB`.
-> GLuint | `index`.
-> Ptr GLdouble | `params` pointing to `4` elements of type `GLdouble`.
-> m () |

glGetProgramEnvParameterfvARB

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ProgramTargetARB`.
-> GLuint | `index`.
-> Ptr GLfloat | `params` pointing to `4` elements of type `GLfloat`.
-> m () |

glGetProgramLocalParameterdvARB

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ProgramTargetARB`.
-> GLuint | `index`.
-> Ptr GLdouble | `params` pointing to `4` elements of type `GLdouble`.
-> m () |

glGetProgramLocalParameterfvARB

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ProgramTargetARB`.
-> GLuint | `index`.
-> Ptr GLfloat | `params` pointing to `4` elements of type `GLfloat`.
-> m () |

glGetProgramStringARB

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ProgramTargetARB`.
-> GLenum | `pname` of type `ProgramStringPropertyARB`.
-> Ptr a | `string` pointing to `COMPSIZE(target,pname)` elements of type `a`.
-> m () |

glGetProgramivARB

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ProgramTargetARB`.
-> GLenum | `pname` of type `ProgramPropertyARB`.
-> Ptr GLint | `params` pointing to `1` element of type `GLint`.
-> m () |

glIsProgramARB

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> m GLboolean | of type Boolean.

glProgramEnvParameter4dARB

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ProgramTargetARB`.
-> GLuint | `index`.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> GLdouble | `z`.
-> GLdouble | `w`.
-> m () |

The vector equivalent of this command is `glProgramEnvParameter4dvARB`.

glProgramEnvParameter4dvARB

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ProgramTargetARB`.
-> GLuint | `index`.
-> Ptr GLdouble | `params` pointing to `4` elements of type `GLdouble`.
-> m () |

glProgramEnvParameter4fARB

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ProgramTargetARB`.
-> GLuint | `index`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> GLfloat | `w`.
-> m () |

The vector equivalent of this command is `glProgramEnvParameter4fvARB`.

glProgramEnvParameter4fvARB

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ProgramTargetARB`.
-> GLuint | `index`.
-> Ptr GLfloat | `params` pointing to `4` elements of type `GLfloat`.
-> m () |

glProgramLocalParameter4dARB

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ProgramTargetARB`.
-> GLuint | `index`.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> GLdouble | `z`.
-> GLdouble | `w`.
-> m () |

The vector equivalent of this command is `glProgramLocalParameter4dvARB`.

glProgramLocalParameter4dvARB

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ProgramTargetARB`.
-> GLuint | `index`.
-> Ptr GLdouble | `params` pointing to `4` elements of type `GLdouble`.
-> m () |

glProgramLocalParameter4fARB

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ProgramTargetARB`.
-> GLuint | `index`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> GLfloat | `w`.
-> m () |

The vector equivalent of this command is `glProgramLocalParameter4fvARB`.

glProgramLocalParameter4fvARB

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ProgramTargetARB`.
-> GLuint | `index`.
-> Ptr GLfloat | `params` pointing to `4` elements of type `GLfloat`.
-> m () |

glProgramStringARB

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ProgramTargetARB`.
-> GLenum | `format` of type `ProgramFormatARB`.
-> GLsizei | `len`.
-> Ptr a | `string` pointing to `len` elements of type `a`.
-> m () |